gnutls_transport_set_ptr(3)

NAME
gnutls_transport_set_ptr - API function

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_transport_set_ptr(gnutls_session_t session, gnutls_transport_ptr_t ptr);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t type.

gnutls_transport_ptr_t ptr
    is the value.

DESCRIPTION
Used to set the first argument of the transport function (for push and pull callbacks). In berkeley style sockets this function will set the connection descriptor.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2023 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/